///////////////////////////////////////////////////////////////////////////
// File :    QFLWRun.CCP
// Project:  QFLW4Term,  static DLL call, Console application
// 13.01.00
//
// Call of DLL functions for C-842 via the static import library,
// Compiler : VC++ 4.2
//-----------------------------------------------------------------------
// Physik Instrumente (PI)
//////////////////////////////////////////////////////////////////////////
xxx
#include <stdio.h>
#include <windows.h>
#include "QFLW400.h"


int i;
char report[128];

void main(void)

{
	// call C842 DLL functions :
	short bBoard = Board_Installed(); 	
	if( bBoard )
		MessageBox( NULL, " Board found\0", "Info\0", MB_OK );
	else
	{   MessageBox( NULL, " Board not found\0", "Info\0", MB_OK );
	    return;
	}

    int InitStatus = InitBoard(9);

	int LSValue = autodetect();
	    printf("Autodetect done\n"
               "Value: %d\n", LSValue );
		MessageBox( NULL, " Autodetect found\0", "Info\0", MB_OK );


    InitAxis(1);
	translate("1DH\0", report);
	printf("Report: %s\n", report);

	translate("1SV80000\0", report);
	printf("Report: %s\n", report);
	printf("\tpress a key...\n\n", report);

	getchar();

	MoveR(1,550000);

    for ( i = 0; i < 2500; i++ ) 
    {   long position = get_pos(1);
        printf("%i Position: %d\n", i, position);
    }

	MessageBox( NULL, " Program terminated\0", "Info\0", MB_OK );
	
}

