///////////////////////////////////////////////////////////////////////////
// File :    QFLWRun.CCP
// Project:  QFLW4Term,  static DLL call, Console application
// 13.01.00
// 14.01.00
//
// Call of DLL functions for C-842 via the static import library,
// Compiler : VC++ 4.2
//-----------------------------------------------------------------------
// Physik Instrumente (PI)
//////////////////////////////////////////////////////////////////////////

#include <stdio.h>
#include <windows.h>
#include "QFLWRun.h"


int i;
char s[20],report[128];
BOOL bExit=FALSE;

void main(void)


{
	// call C842 DLL functions :
	short bBoard = Board_Installed(); 	
	if( bBoard )
		MessageBox( NULL, " C-842 board found\0", "Info\0", MB_OK );
	else
	{   MessageBox( NULL, " No C-842 board found\0", "Info\0", MB_OK );
	    return;
	}

    int InitStatus = InitBoard(9);

	int LSValue = autodetect();
	    printf("Autodetect done\n"
			   "Value: %d\n", LSValue );


        MessageBox( NULL, " Autodetect found\n"
			              " Now stage performs some moves\n"
						  " Press return to continue\0", "Info\0", MB_OK );


    InitAxis(1);
	translate("1DH\0", report);
	printf("Report: %s\n", report);

	translate("1SV80000\0", report);
	printf("Report: %s\n", report);
	printf("\tpress return to continue\n\n", report);

	getchar();

	MoveR(1,150000);

    for ( i = 0; i < 1500; i++ ) 
    {   long position = get_pos(1);
        printf("%i Position: %d\n", i, position);
		if (!moving(1)) printf(">>>>>>>>>>>>>>>>>>>>>>>  is moving\n");
		else printf("is not moving\n");

    }


	execute(1,MR,-50000,report);    
	printf("\tpress return to continue\n\n", report);


	do {
		gets(s);
		if (s[0]=='Z' || s[0]=='z')	bExit=TRUE;
		else {
	        translate (s,report);
	        printf(report);
			printf("\n\n");
		}
	}
	while (!bExit);
	

	MessageBox( NULL, " Program terminated\0", "Info\0", MB_OK );
	
}

